This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 37682 - rpm-4.0.3-0.6 fails to install
rpm-4.0.3-0.6 fails to install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 16:31 EDT by Jody McIntyre
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-25 16:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jody McIntyre 2001-04-25 16:31:52 EDT
While attempting to install rpm-4.0.3-0.6, I received the following error:

---
/var/tmp/rpm-tmp.30624: line 7: syntax error near unexpected token `(o'
/var/tmp/rpm-tmp.30624: line 7: `+#Please remove (or at least rename) one
of those files, and re-install.'
error: execution of %pre scriptlet from rpm-4.0.3-0.6 failed, exit status 2
error: skipping rpm-4.0.3-0.6 install, %pre scriptlet failed rc 2
---

Workaround: ensure that only one of /var/lib/rpm/packages.rpm and
/var/lib/rpm/Packages exists, then install it with --noscripts.

Suggested fix: Remove the + signs in lines 6 and 7 of %pre.
Comment 1 Jeff Johnson 2001-04-25 17:21:18 EDT
Ugh. Replacement packages will be available at
	ftp:/ftp.rpm.org/pub/rpm/test-4.0.3
in an hour or so. Thanks for reporting.

Note You need to log in before you can comment on or make changes to this bug.